class_name ETT_Child extends EffectTargetType

@export var child_node_name: StringName
@export var recursive_found: bool
@export var owned_node_only: bool

func get_effect_target(owner: Node, prop_comp: Node) -> Object:
	return owner.find_child(child_node_name,recursive_found,owned_node_only)
